package com.yunzhi.inte.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 菜肴食材;
 * @author : http://www.chiner.pro
 * @date : 2022-9-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class FoodIngredients implements Serializable,Cloneable{
    /** 序号 */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id ;
    /** 菜肴ID */
    private Integer dishId ;
    /** 食材ID */
    private Integer itemId ;

}
