package com.yunzhi.inte.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 保障详情;
 * @author : http://www.chiner.pro
 * @date : 2022-9-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "保障详情",description = "")
@TableName("guarantee_detail")
public class GuaranteeDetail implements Serializable,Cloneable{
    /** 序号 */
    @ApiModelProperty(name = "序号",notes = "")
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id ;
    /** 保障ID */
    @ApiModelProperty(name = "保障ID",notes = "")
    private Integer guaranteeId ;
    /** 菜肴ID */
    @ApiModelProperty(name = "菜肴ID",notes = "")
    private Integer dishId ;
    /** 菜肴名称 */
    @ApiModelProperty(name = "菜肴名称",notes = "")
    private String dishName ;
    /** 菜肴单位 */
    @ApiModelProperty(name = "菜肴单位",notes = "")
    private String dishUnit ;
    /** 菜肴数量 */
    @ApiModelProperty(name = "菜肴数量",notes = "")
    private Integer dishAmount ;

}