package com.yunzhi.inte.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 套餐详情;
 * @author : http://www.chiner.pro
 * @date : 2022-9-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "套餐详情",description = "")
@TableName("package_detail")
public class PackageDetail implements Serializable,Cloneable{
    /** 序号 */
    @ApiModelProperty(name = "序号",notes = "")
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id ;
    /** 套餐ID */
    @ApiModelProperty(name = "套餐ID",notes = "")
    private Integer packageId ;
    /** 菜肴ID */
    @ApiModelProperty(name = "菜肴ID",notes = "")
    private Integer dishId ;

}