package com.yunzhi.inte.exception;

import com.yunzhi.inte.common.ResponseBean;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

@ControllerAdvice
@ResponseBody
public class GlobalException {
    @ExceptionHandler(Exception.class)
    public ResponseBean handleException(Exception e){
        e.printStackTrace();
        ResponseBean response = new ResponseBean();
        response.setMessage(e.getMessage());
        response.setCode(ResponseBean.ERROR_UNAVAILABLE);
        return response;
    }
}
